extern __do_panic
global __panic

__panic:
    push BYTE 0 ; interrupt number
    push BYTE 0 ; error code
    push rax
    push rbx
    push rcx
    push rdx
    push rbp
    push rdi
    push rsi
    push r8
    push r9
    push r10
    push r11
    push r12
    push r13
    push r14
    push r15

    mov r8, cr2
    push r8

    mov rsi, rdi
    mov rdi, rsp

    call __do_panic

    cli
loop:    
    hlt
    jmp loop